<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ma="http://schemas.malighting.de/grandma2/xml/MA" >

    <xsl:output
        method="html"
        indent="yes"
        encoding="utf-8"
        media-type="text/html"
        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" />

    <xsl:template match="/">
        <html>
            <head>
                <title>BELLEUDY William</title>
                <link type="text/css" rel="stylesheet" href="styles/include/styleWilly.css" />
            </head>
            <body>
                <div id="divAll">
                    <div id="divBodyHeader">
                        <img id="imgLogo" src="styles/include/willy_logo.png" alt="WILLY" />
                    </div>
                    <div id="divBodyContent">

                        <xsl:apply-templates select="ma:MA/ma:Info" />

                        <xsl:call-template name="FixtureTables">
                            <xsl:with-param name="allFixtures" select="//ma:Fixture"/>
                        </xsl:call-template>

                    </div>
                    <div id="divBodyFooter">
                        Creation du patch : BELLEUDY William. 06.17.13.17.22.
                    </div>
                </div>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="ma:Info" >
        <div class="fileinfo">
            <ul>
                <li>
                    <span class="key">Nom du Show : </span>
                    <span class="value">
                        <xsl:value-of  select="@showfile" />
                    </span>
                </li>
                <li>
                    <span class="key">Date du Patch : </span>
                    <span class="value">
                        <xsl:value-of  select="@datetime" />
                    </span>
                </li>
            </ul>
        </div>
     </xsl:template>

    <xsl:template name="AlternatingTrClass">
        <xsl:param name="index" />
        <xsl:choose>
            <xsl:when test="$index mod 2 = 1">
                <xsl:attribute name="class">row1</xsl:attribute>
            </xsl:when>
            <xsl:otherwise>
                <xsl:attribute name="class">row2</xsl:attribute>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

    
    <xsl:template name="FixtureTables">
        <xsl:param name="allFixtures" />

        <table id="layer" style="display:table">
        <caption>Classement par LAYER </caption>
             <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
                <xsl:sort select="../@name" data-type="text" order="ascending"/>
            </xsl:apply-templates>
        </table>  
                            
        <table  id="fixture" style="display:none"> 
        <caption>Classement par FIXTURE-ID </caption>
            <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
                <xsl:sort select="@fixture_id" data-type="number" order="ascending"/>
            </xsl:apply-templates>
        </table>
        
        <table id="channel" style="display:none">
        <caption>Classement par CHANNEL-ID </caption>
            <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
                <xsl:sort select="@channel_id" data-type="number" order="ascending"/>
            </xsl:apply-templates>
        </table>
         
         <table id="name" style="display:none">
        <caption>Classement par NOM </caption>
            <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
                <xsl:sort select="@name" data-type="text" order="ascending"/>
            </xsl:apply-templates>
        </table>
        
        <table id="type" style="display:none">
        <caption>Classement par LIBRAIRIE </caption>
            <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
                <xsl:sort select="ma:FixtureType/@name" data-type="text" order="ascending"/>
            </xsl:apply-templates>
        </table>
        
        <table id="patch" style="display:none">
        <caption>Classement par ADRESSE DMX </caption>
            <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
                <xsl:sort select="*//ma:Address[1]" data-type="number" order="ascending"/>
            </xsl:apply-templates>
        </table>

	  <table id="Information complementaire" style="display:none">
        <caption>Classement par INFORMATION </caption>
            <xsl:call-template name="TableHeaders" />
            <xsl:apply-templates select="$allFixtures">
            </xsl:apply-templates>
        </table>

    </xsl:template>  
    
    <xsl:template name="TableHeaders" >
        <tr>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('layer').style.display='table'">Layer</th>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('fixture').style.display='table'">Fix ID</th>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('channel').style.display='table'">Ch ID</th>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('name').style.display='table'">Name</th>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('type').style.display='table'">FixtureType</th>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('patch').style.display='table'">Patch</th>
            <th class="button" onclick="var tabs=document.getElementsByTagName('table');for (i=0; i&lt;tabs.length;i++)tabs[i].style.display='none';document.getElementById('Information complementaire').style.display='table'">Information complementaire</th>
        </tr>
    </xsl:template>

    <xsl:template match="ma:Fixture">
        <xsl:apply-templates select='ma:SubFixture[1]'>
            <xsl:with-param name="index" select="position()"/>
            <xsl:with-param name="fixture_id" select="@fixture_id"/>
            <xsl:with-param name="channel_id" select="@channel_id"/>
            <xsl:with-param name="name" select="@name"/>
            <xsl:with-param name="fixture_type_index" select="ma:FixtureType/ma:No"/>
            <xsl:with-param name="fixture_type_name" select="ma:FixtureType/@name"/>
             <xsl:with-param name="layer" select="../@name"/>
        </xsl:apply-templates>
    </xsl:template>

    <xsl:template match="ma:SubFixture">
        <xsl:param name="layer" /> 
        <xsl:param name="index" />
        <xsl:param name="fixture_id" />
        <xsl:param name="channel_id" />
        <xsl:param name="name" />
        <xsl:param name="fixture_type_index" />
        <xsl:param name="fixture_type_name" />
        <tr>
  
            <xsl:call-template name="AlternatingTrClass">
                <xsl:with-param name="index" select="$index"/>
            </xsl:call-template>
                              <td class="colString">
                <xsl:value-of select="$layer"/>

            </td>
            <td class="colInt">
                <xsl:value-of select="$fixture_id"/>
                <xsl:choose>
                    <xsl:when test="$fixture_id!='' and count(../ma:SubFixture)>1">.<xsl:value-of select="position()"/></xsl:when>
                </xsl:choose>
            </td>
            <td class="colInt">
                <xsl:value-of select="$channel_id"/>
                <xsl:choose>
                    <xsl:when test="$channel_id!='' and count(../ma:SubFixture)>1">
                        .<xsl:value-of select="position()"/>
                    </xsl:when>
                </xsl:choose>
            </td>
            <td class="colString">
                <xsl:choose>
                    <xsl:when test="position()=1">
                        <xsl:value-of select="$name"/>
                    </xsl:when>
                </xsl:choose>
            </td>
            <td class="colString">
                <xsl:choose>
                    <xsl:when test="position()=1">
                        <xsl:value-of select="$fixture_type_name"/>
                        (<xsl:value-of select="$fixture_type_index"/>)
                    </xsl:when>
                </xsl:choose>
            </td>            <td class="Patch">
                <xsl:apply-templates select='ma:Patch'/>
            </td>

            <td class="Info">
		</td>

        </tr>
    </xsl:template>

    <xsl:template match="ma:Patch">
      <xsl:apply-templates select='ma:Address'/>
      <br />
    </xsl:template>

    <xsl:template match="ma:Address">
        <xsl:choose>
            <xsl:when test="position()>1">, </xsl:when>
        </xsl:choose>
        <xsl:choose>
            <xsl:when test="number(text()) &gt; 0"> <xsl:value-of select="floor((number(text())-1) div 512)+1"/>.<xsl:value-of select="format-number(((number(text())-1) mod 512)+1,'000')"/> </xsl:when>
            <xsl:otherwise> (-) </xsl:otherwise>
        </xsl:choose>
    </xsl:template>

</xsl:stylesheet>

